Bug 1084753 - Review Request: php-phpunit-environment - Handle HHVM/PHP environments
Summary: Review Request: php-phpunit-environment - Handle HHVM/PHP environments
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-06 09:23 UTC by Remi Collet
Modified: 2014-05-03 15:28 UTC (History)
2 users (show)

Fixed In Version: php-phpunit-environment-1.0.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 07:30:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
phpcompatinfo.log (8.32 KB, text/x-log)
2014-04-12 15:59 UTC, Shawn Iwinski
no flags Details
fedora-review.txt (6.74 KB, text/plain)
2014-04-12 16:00 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2014-04-06 09:23:47 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/17ddee18921fa52febbeb2995cec540b27b603ba/php/phpunit/php-phpunit-environment/php-phpunit-environment.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-phpunit-environment-1.0.0-1.remi.src.rpm
Description: 
This component provides functionality that helps writing PHP code that
has runtime-specific (PHP / HHVM) execution paths.

Fedora Account System Username: remi


This is a new dependency of phpunit v4

As all previous packages (from pear channel) use php-phpunit namspace (including those installed in SebastianBegman folder), I think the name php-phpunit-environment make sense.

Comment 1 Shawn Iwinski 2014-04-12 15:59:55 UTC
Created attachment 885733 [details]
phpcompatinfo.log

phpcompatinfo version 2.26.0

Comment 2 Shawn Iwinski 2014-04-12 16:00:31 UTC
Created attachment 885734 [details]
fedora-review.txt

Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 1084753
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 3 Shawn Iwinski 2014-04-12 16:01:04 UTC
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, just clean these up after initial import.

Comment 4 Shawn Iwinski 2014-04-12 20:52:40 UTC
Almost forgot:

[x]: Requires correct, justified where necessary.

     Should require php-spl (non-blocker that can be added after initial import)

Comment 5 Remi Collet 2014-04-13 05:51:22 UTC
New Package SCM Request
=======================
Package Name: php-phpunit-environment
Short Description: Handle HHVM/PHP environments
Owners: remi
Branches: f20 el6 epel7
InitialCC:

Comment 6 Kevin Fenzi 2014-04-13 20:37:52 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-04-14 05:51:42 UTC
php-phpunit-environment-1.0.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-phpunit-environment-1.0.0-1.fc20

Comment 8 Fedora Update System 2014-04-14 05:51:51 UTC
php-phpunit-environment-1.0.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-phpunit-environment-1.0.0-1.el6

Comment 9 Fedora Update System 2014-04-15 15:42:45 UTC
php-phpunit-environment-1.0.0-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 10 Fedora Update System 2014-04-24 07:30:29 UTC
php-phpunit-environment-1.0.0-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 11 Fedora Update System 2014-05-03 15:28:54 UTC
php-phpunit-environment-1.0.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.